Bug 846561 - Review Request: groovy-gram - A metadata processing engine for Groovy
Review Request: groovy-gram - A metadata processing engine for Groovy
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-JAVASIG 998251
  Show dependency treegraph
 
Reported: 2012-08-08 02:56 EDT by gil cattaneo
Modified: 2016-11-11 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-08 02:56:50 EDT
Spec URL: http://gil.fedorapeople.org/groovy-gram.spec
SRPM URL: http://gil.fedorapeople.org/groovy-gram-1.2-0.1.20120529.fc16.src.rpm
Description: Gram is a metadata processing engine for Groovy.
Fedora Account System Username: gil
Comment 6 Orion Poplawski 2015-09-12 22:20:39 EDT
Issues:

- Use a better URL that points closer to the groovy-gram stuff instead of just grove.org.
- svn checkout command in spec doesn't work for me.
- Update your changelog date
- Where is the license stated upstream?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 11 files have unknown license. Detailed
     output of licensecheck in /export/home/orion/redhat/846561-groovy-
     gram/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in groovy-
     gram-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comment
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: groovy-gram-1.2-0.1.20150216.fc24.noarch.rpm
          groovy-gram-javadoc-1.2-0.1.20150216.fc24.noarch.rpm
          groovy-gram-1.2-0.1.20150216.fc24.src.rpm
groovy-gram.noarch: W: no-documentation
groovy-gram.src: W: invalid-url Source0: groovy-gram-1.2-20150216.tar.xz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
groovy-gram.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
groovy-gram-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

groovy-gram (rpmlib, GLIBC filtered):
    config(groovy-gram)
    java-headless
    jpackage-utils
    mvn(annogen:annogen)
    mvn(com.sun:tools)
    mvn(org.apache.ant:ant)
    mvn(org.codehaus.groovy:groovy)



Provides
--------
groovy-gram-javadoc:
    groovy-gram-javadoc

groovy-gram:
    config(groovy-gram)
    groovy-gram
    mvn(groovy:gram)
    mvn(groovy:gram:pom:)



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 846561
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 gil cattaneo 2015-09-12 22:59:46 EDT
(In reply to Orion Poplawski from comment #6)
> Issues:
> 
> - Use a better URL that points closer to the groovy-gram stuff instead of
> just grove.org.
Done
> - svn checkout command in spec doesn't work for me.
Fixed
> - Update your changelog date
Done
> - Where is the license stated upstream?
The http://www.codehaus.org/ "services have now been terminated"
The original project and code was available under ASL 2.0 License.
Now for i opened https://github.com/andreyvit/groovy/issues/1
for clarifications.



Spec URL: http://gil.fedorapeople.org/groovy-gram.spec
SRPM URL: http://gil.fedorapeople.org/groovy-gram-1.2-0.1.20150913.fc22.src.rpm

- use new git repo for generate source archive

Note You need to log in before you can comment on or make changes to this bug.